Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
instagram
/
post-comments
List Instagram post comments
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-comments \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "postUrl": "https://www.instagram.com/p/ABC123/",
  "maxComments": 100.5,
  "includeNested": true
}
'
{
  "data": [
    {
      "text": "<string>",
      "id": "<string>",
      "owner_username": "<string>",
      "owner_id": "<string>",
      "timestamp": "<string>",
      "likes_count": 123,
      "replies_count": 123,
      "replies": "<array>"
    }
  ],
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/instagram/post-comments

Get comments on a specific Instagram post.
Retrieve comments on a specific Instagram post.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-comments \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"postUrl": "https://www.instagram.com/p/ABC123/", "maxComments": 50}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
postUrl
string
required
Example:

"https://www.instagram.com/p/ABC123/"

maxComments
number
Required range: 1 <= x <= 200
includeNested
boolean

When true, requests nested reply threads from the comment actor (more items / cost).

Response

Instagram post comments.

data
object[]
required
meta
object
required